## Main Index:

- [Available Commands](#available-commands)
  - [Flows](#flows)
  - [Steps](#steps)
    - [gitflow::init (Git Flow creation)](#init-git-flow-creation)
- [Plugins](#plugins)


## Available Commands:

### FLOWS

### STEPS

#### gitflow::init (Git Flow creation)
[[Index]](#main-index)

### Description

Initialize git Flow structure from a master branch. This step needs git administration privileges.

### Parameters

- **--gitflowBase**: [Object], default: see gitflowBase section : Set the default set of branches of git flow.

#### gitflowBase Object

Generate all the branch listed in this object.

default is:

```
  &quot;gitflowBase&quot;: {
    &quot;develop&quot; : {
      &quot;major&quot;: [&quot;premajor&quot; , &quot;beta&quot;],
      &quot;minor&quot;: [&quot;preminor&quot; , &quot;beta&quot;],
      &quot;patch&quot;: [&quot;prepatch&quot; , &quot;beta&quot;]
    }
  }
```

##### Branch name: (first object lavel)

by default is &quot;develop&quot;: name of the branches that is going to be generated on init flow.

##### Choose version strategy:

All options to choose for init strategy of the new branch

&quot;major&quot;: [&quot;premajor&quot; , &quot;beta&quot;],

&quot;major&quot; -&gt; Test prompted
[&quot;premajor&quot; , &quot;beta&quot;], -&gt; Strategy , prereleaseTag (see runas-plugin-semver plugin for more information)

### Stages

#### Check

Checks with git fetch -p if remotes branches are up to date.

#### Run

Create set of branches configured on this.params.gitflowBase


## PLUGINS

