### Description

Initialize git Flow structure from a master branch. This step needs git administration privileges.

### Parameters

- **--gitflowBase**: [Object], default: see gitflowBase section : Set the default set of branches of git flow.

#### gitflowBase Object

Generate all the branch listed in this object.

default is:

```
  "gitflowBase": {
    "develop" : {
      "major": ["premajor" , "beta"],
      "minor": ["preminor" , "beta"],
      "patch": ["prepatch" , "beta"]
    }
  }
```

##### Branch name: (first object lavel)

by default is "develop": name of the branches that is going to be generated on init flow.

##### Choose version strategy:

All options to choose for init strategy of the new branch

"major": ["premajor" , "beta"],

"major" -> Test prompted
["premajor" , "beta"], -> Strategy , prereleaseTag (see runas-plugin-semver plugin for more information)

### Stages

#### Check

Checks with git fetch -p if remotes branches are up to date.

#### Run

Create set of branches configured on this.params.gitflowBase
